- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

# /home/coin/SVN-release/Ipopt-3.7.1/Ipopt/src/contrib/LinearSolverLoader/HSLLoader.h File Reference

Go to the source code of this file.

## Functions
int | LSL_loadHSL (const char *libname, char *msgbuf, int msglen)
| Tries to load a dynamically linked library with HSL routines.
int | LSL_unloadHSL ()
| Unloads a loaded HSL library.
int | LSL_isHSLLoaded ()
| Indicates whether a HSL library has been loaded.
int | LSL_isMA27available ()
| Indicates whether a HSL library is loaded and all symbols necessary to use MA27 have been found.
int | LSL_isMA28available ()
| Indicates whether a HSL library is loaded and all symbols necessary to use MA28 have been found.
int | LSL_isMA57available ()
| Indicates whether a HSL library is loaded and all symbols necessary to use MA57 have been found.
int | LSL_isMC19available ()
| Indicates whether a HSL library is loaded and all symbols necessary to use MA57 have been found.
char * | LSL_HSLLibraryName ()
| Returns name of the shared library that should contain HSL.

## Function Documentation

int LSL_loadHSL | ( | const char * | libname,
|  | char * | msgbuf,
|  | int | msglen |
| ) |  |  |

Tries to load a dynamically linked library with HSL routines.

Also tries to load symbols for those HSL routines that are not linked into Ipopt, i.e., HAVE_... is not defined. Return a failure if the library cannot be loaded, but not if a symbol is not found.

See also:
  LSL_isMA27available

  LSL_isMA28available

  LSL_isMA57available

  LSL_isMC19available

Parameters:

  | libname | The name under which the HSL lib can be found, or NULL to use a default name (libhsl.<SHAREDLIBEXT>).
  | msgbuf | A buffer where we can store a failure message. Assumed to be NOT NULL!
  | msglen | Length of the message buffer.

Returns:
  Zero on success, nonzero on failure.

int LSL_unloadHSL | ( |  | ) |

Unloads a loaded HSL library.

Returns:
  Zero on success, nonzero on failure.

int LSL_isHSLLoaded | ( |  | ) |

Indicates whether a HSL library has been loaded.

Returns:
  Zero if not loaded, nonzero if handle is loaded

int LSL_isMA27available | ( |  | ) |

Indicates whether a HSL library is loaded and all symbols necessary to use MA27 have been found.

Returns:
  Zero if not available, nonzero if MA27 is available in the loaded library.

int LSL_isMA28available | ( |  | ) |

Indicates whether a HSL library is loaded and all symbols necessary to use MA28 have been found.

Returns:
  Zero if not available, nonzero if MA28 is available in the loaded library.

int LSL_isMA57available | ( |  | ) |

Indicates whether a HSL library is loaded and all symbols necessary to use MA57 have been found.

Returns:
  Zero if not available, nonzero if MA57 is available in the loaded library.

int LSL_isMC19available | ( |  | ) |

Indicates whether a HSL library is loaded and all symbols necessary to use MA57 have been found.

Returns:
  Zero if not available, nonzero if MA57 is available in the loaded library.

char* LSL_HSLLibraryName | ( |  | ) |

Returns name of the shared library that should contain HSL.